"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AttachmentBuilder = void 0;
const base_1 = require("../internal/base");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/messaging/attachments
 * @@displayName Attachment
 */
class AttachmentBuilder extends base_1.BitBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackDto, {
            blocks: helpers_1.getBuilderResults(this.props.blocks),
        });
    }
}
exports.AttachmentBuilder = AttachmentBuilder;
helpers_1.applyMixins(AttachmentBuilder, [
    methods_1.Blocks,
    methods_1.Color,
    methods_1.End,
    methods_1.Fallback,
]);
