"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OptionGroupBuilder = void 0;
const base_1 = require("../internal/base");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/composition-objects#option_group
 * @@displayName Option Group
 */
class OptionGroupBuilder extends base_1.BitBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackDto, {
            label: helpers_1.getPlainTextObject(this.props.label),
            options: helpers_1.getBuilderResults(this.props.options),
        });
    }
}
exports.OptionGroupBuilder = OptionGroupBuilder;
helpers_1.applyMixins(OptionGroupBuilder, [
    methods_1.End,
    methods_1.Label,
    methods_1.Options,
]);
