"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActionsBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/blocks#actions
 * @@displayName Actions
 */
class ActionsBuilder extends base_1.BlockBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackBlockDto, {
            type: constants_1.BlockType.Actions,
            elements: helpers_1.getBuilderResults(this.props.elements),
        });
    }
}
exports.ActionsBuilder = ActionsBuilder;
helpers_1.applyMixins(ActionsBuilder, [
    methods_1.BlockId,
    methods_1.End,
    methods_1.Elements,
]);
