"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContextBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/blocks#context
 * @@displayName Context
 */
class ContextBuilder extends base_1.BlockBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackBlockDto, {
            type: constants_1.BlockType.Context,
            elements: helpers_1.getElementsForContext(this.props.elements),
        });
    }
}
exports.ContextBuilder = ContextBuilder;
helpers_1.applyMixins(ContextBuilder, [
    methods_1.BlockId,
    methods_1.Elements,
    methods_1.End,
]);
