"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DividerBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/blocks#divider
 * @@displayName Divider
 */
class DividerBuilder extends base_1.BlockBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackBlockDto, {
            type: constants_1.BlockType.Divider,
        });
    }
}
exports.DividerBuilder = DividerBuilder;
helpers_1.applyMixins(DividerBuilder, [
    methods_1.BlockId,
    methods_1.End,
]);
