"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImageBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/blocks#image
 * @@displayName Image
 */
class ImageBuilder extends base_1.BlockBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackBlockDto, {
            type: constants_1.BlockType.Image,
            title: helpers_1.getPlainTextObject(this.props.title),
        });
    }
}
exports.ImageBuilder = ImageBuilder;
helpers_1.applyMixins(ImageBuilder, [
    methods_1.AltText,
    methods_1.BlockId,
    methods_1.End,
    methods_1.ImageUrl,
    methods_1.Title,
]);
