"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InputBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/blocks#input
 * @@displayName Input
 */
class InputBuilder extends base_1.BlockBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackBlockDto, {
            type: constants_1.BlockType.Input,
            label: helpers_1.getPlainTextObject(this.props.label),
            hint: helpers_1.getPlainTextObject(this.props.hint),
            element: helpers_1.getBuilderResult(this.props.element),
        });
    }
}
exports.InputBuilder = InputBuilder;
helpers_1.applyMixins(InputBuilder, [
    methods_1.BlockId,
    methods_1.DispatchAction,
    methods_1.Element,
    methods_1.End,
    methods_1.Hint,
    methods_1.Label,
    methods_1.Optional,
]);
