"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ButtonBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#button
 * @@displayName Button
 */
class ButtonBuilder extends base_1.ElementBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackElementDto, {
            type: constants_1.ElementType.Button,
            confirm: helpers_1.getBuilderResult(this.props.confirm),
            text: helpers_1.getPlainTextObject(this.props.text),
        });
    }
}
exports.ButtonBuilder = ButtonBuilder;
helpers_1.applyMixins(ButtonBuilder, [
    methods_1.ActionId,
    methods_1.Confirm,
    methods_1.Danger,
    methods_1.End,
    methods_1.Primary,
    methods_1.Text,
    methods_1.Url,
    methods_1.Value,
]);
