import { ElementBuilderBase } from '../internal/base';
import { ActionId, Confirm, End, FocusOnLoad, InitialChannels, MaxSelectedItems, Placeholder } from '../internal/methods';
import type { ConfirmationDialogBuilder } from '../bits';
export interface ChannelMultiSelectParams {
    actionId?: string;
    maxSelectedItems?: number;
    placeholder?: string;
}
export interface ChannelMultiSelectBuilder extends ActionId, Confirm<ConfirmationDialogBuilder>, End, FocusOnLoad, InitialChannels, MaxSelectedItems, Placeholder {
}
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#channel_multi_select
 * @@displayName Channel Multi-Select
 */
export declare class ChannelMultiSelectBuilder extends ElementBuilderBase {
}
