"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelMultiSelectBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#channel_multi_select
 * @@displayName Channel Multi-Select
 */
class ChannelMultiSelectBuilder extends base_1.ElementBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackElementDto, {
            type: constants_1.ElementType.ChannelsMultiSelect,
            placeholder: helpers_1.getPlainTextObject(this.props.placeholder),
            confirm: helpers_1.getBuilderResult(this.props.confirm),
        });
    }
}
exports.ChannelMultiSelectBuilder = ChannelMultiSelectBuilder;
helpers_1.applyMixins(ChannelMultiSelectBuilder, [
    methods_1.ActionId,
    methods_1.Confirm,
    methods_1.End,
    methods_1.FocusOnLoad,
    methods_1.InitialChannels,
    methods_1.MaxSelectedItems,
    methods_1.Placeholder,
]);
