import { ElementBuilderBase } from '../internal/base';
import { ActionId, Confirm, DefaultToCurrentConversation, End, ExcludeBotUsers, ExcludeExternalSharedChannels, Filter, FocusOnLoad, InitialConversations, MaxSelectedItems, Placeholder } from '../internal/methods';
import type { ConfirmationDialogBuilder } from '../bits';
export interface ConversationMultiSelectParams {
    actionId?: string;
    maxSelectedItems?: string;
    placeholder?: string;
}
export interface ConversationMultiSelectBuilder extends ActionId, Confirm<ConfirmationDialogBuilder>, DefaultToCurrentConversation, End, ExcludeBotUsers, ExcludeExternalSharedChannels, Filter, FocusOnLoad, InitialConversations, MaxSelectedItems, Placeholder {
}
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#conversation_multi_select
 * @@displayName Conversation Multi-Select
 */
export declare class ConversationMultiSelectBuilder extends ElementBuilderBase {
}
