import { ElementBuilderBase } from '../internal/base';
import { ActionId, Confirm, DefaultToCurrentConversation, End, ExcludeBotUsers, ExcludeExternalSharedChannels, Filter, FocusOnLoad, InitialConversation, Placeholder, ResponseUrlEnabled } from '../internal/methods';
import type { ConfirmationDialogBuilder } from '../bits';
export interface ConversationSelectParams {
    actionId?: string;
    maxSelectedItems?: string;
    placeholder?: string;
}
export interface ConversationSelectBuilder extends ActionId, Confirm<ConfirmationDialogBuilder>, DefaultToCurrentConversation, End, ExcludeBotUsers, ExcludeExternalSharedChannels, Filter, FocusOnLoad, InitialConversation, Placeholder, ResponseUrlEnabled {
}
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#conversation_select
 * @@displayName Conversation Select
 */
export declare class ConversationSelectBuilder extends ElementBuilderBase {
}
