import { ElementBuilderBase } from '../internal/base';
import { ActionId, Confirm, End, FocusOnLoad, InitialOptions, MaxSelectedItems, MinQueryLength, Placeholder } from '../internal/methods';
import type { ConfirmationDialogBuilder } from '../bits';
export interface ExternalMultiSelectParams {
    actionId?: string;
    maxSelectedItems?: number;
    minQueryLength?: number;
    placeholder?: string;
}
export interface ExternalMultiSelectBuilder extends ActionId, Confirm<ConfirmationDialogBuilder>, End, FocusOnLoad, InitialOptions, MaxSelectedItems, MinQueryLength, Placeholder {
}
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#external_multi_select
 * @@displayName External Multi-Select
 */
export declare class ExternalMultiSelectBuilder extends ElementBuilderBase {
}
