import { ElementBuilderBase } from '../internal/base';
import { ActionId, Confirm, End, FocusOnLoad, InitialOption, MinQueryLength, Placeholder } from '../internal/methods';
import type { ConfirmationDialogBuilder } from '../bits';
export interface ExternalSelectParams {
    actionId?: string;
    minQueryLength?: number;
    placeholder?: string;
}
export interface ExternalSelectBuilder extends ActionId, Confirm<ConfirmationDialogBuilder>, End, FocusOnLoad, InitialOption, MinQueryLength, Placeholder {
}
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#external_select
 * @@displayName External Select
 */
export declare class ExternalSelectBuilder extends ElementBuilderBase {
}
