"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ImgBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#image
 * @@displayName Image
 */
class ImgBuilder extends base_1.ElementBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackElementDto, {
            type: constants_1.ElementType.Image,
        });
    }
}
exports.ImgBuilder = ImgBuilder;
helpers_1.applyMixins(ImgBuilder, [
    methods_1.AltText,
    methods_1.ImageUrl,
    methods_1.End,
]);
