"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OverflowMenuBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#overflow
 * @@displayName Overflow Menu
 */
class OverflowMenuBuilder extends base_1.ElementBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackElementDto, {
            type: constants_1.ElementType.Overflow,
            options: helpers_1.getBuilderResults(this.props.options),
            confirm: helpers_1.getBuilderResult(this.props.confirm),
        });
    }
}
exports.OverflowMenuBuilder = OverflowMenuBuilder;
helpers_1.applyMixins(OverflowMenuBuilder, [
    methods_1.ActionId,
    methods_1.Confirm,
    methods_1.End,
    methods_1.Options,
]);
