import { ElementBuilderBase } from '../internal/base';
import { ActionId, Confirm, End, FocusOnLoad, InitialOptions, MaxSelectedItems, OptionGroups, Options, Placeholder } from '../internal/methods';
import type { ConfirmationDialogBuilder } from '../bits';
export interface StaticMultiSelectParams {
    actionId?: string;
    maxSelectedItems?: number;
    placeholder?: string;
}
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#static_multi_select
 * @@displayName Static Multi-Select
 */
export interface StaticMultiSelectBuilder extends ActionId, Confirm<ConfirmationDialogBuilder>, End, FocusOnLoad, InitialOptions, MaxSelectedItems, OptionGroups, Options, Placeholder {
}
export declare class StaticMultiSelectBuilder extends ElementBuilderBase {
}
