import { ElementBuilderBase } from '../internal/base';
import { ActionId, DispatchActionOnCharacterEntered, DispatchActionOnEnterPressed, End, FocusOnLoad, InitialValue, MaxLength, MinLength, Multiline, Placeholder } from '../internal/methods';
export interface TextInputParams {
    actionId?: string;
    initialValue?: string;
    maxLength?: number;
    minLength?: number;
    placeholder?: string;
}
export interface TextInputBuilder extends ActionId, DispatchActionOnCharacterEntered, DispatchActionOnEnterPressed, End, FocusOnLoad, InitialValue, MaxLength, MinLength, Multiline, Placeholder {
}
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#input
 * @@displayName Plain-Text Input
 */
export declare class TextInputBuilder extends ElementBuilderBase {
}
