import { ElementBuilderBase } from '../internal/base';
import { ActionId, Confirm, End, FocusOnLoad, InitialUsers, MaxSelectedItems, Placeholder } from '../internal/methods';
import type { ConfirmationDialogBuilder } from '../bits';
export interface UserMultiSelectParams {
    actionId?: string;
    maxSelectedItems?: number;
    placeholder?: string;
}
export interface UserMultiSelectBuilder extends ActionId, Confirm<ConfirmationDialogBuilder>, End, FocusOnLoad, InitialUsers, MaxSelectedItems, Placeholder {
}
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#users_multi_select
 * @@displayName User Multi-Select
 */
export declare class UserMultiSelectBuilder extends ElementBuilderBase {
}
