import { ElementBuilderBase } from '../internal/base';
import { ActionId, Confirm, End, FocusOnLoad, InitialUser, Placeholder } from '../internal/methods';
import type { ConfirmationDialogBuilder } from '../bits';
export interface UserSelectParams {
    actionId?: string;
    initialUser?: string;
    placeholder?: string;
}
export interface UserSelectBuilder extends ActionId, Confirm<ConfirmationDialogBuilder>, End, FocusOnLoad, InitialUser, Placeholder {
}
/**
 * @@link https://api.slack.com/reference/block-kit/block-elements#users_select
 * @@displayName User Select
 */
export declare class UserSelectBuilder extends ElementBuilderBase {
}
