import { Builder } from '../lib';
import { PlainTextObject, MarkdownObject, FilterObject, FilterParams, DispatchActionsConfigurationObject } from '../objects';
import type { ObjectLiteral, ContextElement, Undefinable } from '../types';
import type { SlackElementDto } from '../dto';
export declare function getBuilderResult<T>(builder: Builder, params?: ObjectLiteral): T;
export declare function getBuilderResults<T>(builders: Builder[], params?: ObjectLiteral): Undefinable<T[]>;
export declare function getPlainTextObject(text: string): Undefinable<PlainTextObject>;
export declare function getMarkdownObject(text: string): Undefinable<MarkdownObject>;
export declare function getElementsForContext(elements: ContextElement[]): Undefinable<Array<MarkdownObject | Readonly<SlackElementDto>>>;
export declare function getFields(fields: string[]): Undefinable<MarkdownObject[]>;
export declare function getFormattedDate(date: Date): Undefinable<string>;
export declare function getFilter({ filter, excludeBotUsers, excludeExternalSharedChannels }: FilterParams): Undefinable<FilterObject>;
export declare function getDispatchActionsConfigurationObject({ onEnterPressed, onCharacterEntered }: ObjectLiteral): Undefinable<DispatchActionsConfigurationObject>;
