import type { ObjectLiteral, Ctor } from '../types';
export declare abstract class Builder {
    protected readonly props: ObjectLiteral;
    constructor(params?: ObjectLiteral);
    protected set(value: unknown, prop: string): this;
    protected append(value: unknown[], prop: string): this;
    protected getResult<T>(Clazz: Ctor<T>, overrideProps?: ObjectLiteral): Readonly<T>;
    static pruneUndefinedFromArray<T>(array: T[]): T[];
}
