import { SurfaceBuilderBase } from '../internal/base';
import { SlackHomeTabDto } from '../internal/dto';
import { Blocks, CallbackId, ExternalId, PrivateMetaData, BuildToJSON, BuildToObject, GetBlocks, GetPreviewUrl, PrintPreviewUrl } from '../internal/methods';
import type { ViewBlockBuilder } from '../internal/types';
export interface HomeTabParams {
    privateMetaData?: string;
    callbackId?: string;
    externalId?: string;
}
export interface HomeTabBuilder extends Blocks<ViewBlockBuilder>, CallbackId, ExternalId, PrivateMetaData, BuildToJSON, BuildToObject<SlackHomeTabDto>, GetBlocks, GetPreviewUrl, PrintPreviewUrl {
}
/**
 * @@link https://api.slack.com/reference/surfaces/views
 * @@displayName Home Tab
 */
export declare class HomeTabBuilder extends SurfaceBuilderBase {
}
