"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.HomeTabBuilder = void 0;
const base_1 = require("../internal/base");
const constants_1 = require("../internal/constants");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/reference/surfaces/views
 * @@displayName Home Tab
 */
class HomeTabBuilder extends base_1.SurfaceBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackHomeTabDto, {
            type: constants_1.SurfaceType.HomeTab,
            blocks: helpers_1.getBuilderResults(this.props.blocks),
        });
    }
}
exports.HomeTabBuilder = HomeTabBuilder;
helpers_1.applyMixins(HomeTabBuilder, [
    methods_1.Blocks,
    methods_1.CallbackId,
    methods_1.ExternalId,
    methods_1.PrivateMetaData,
    methods_1.BuildToJSON,
    methods_1.BuildToObject,
    methods_1.GetBlocks,
    methods_1.GetPreviewUrl,
    methods_1.PrintPreviewUrl,
]);
