import { SurfaceBuilderBase } from '../internal/base';
import { SlackMessageDto } from '../internal/dto';
import { AsUser, Attachments, Blocks, Channel, DeleteOriginal, Ephemeral, IgnoreMarkdown, InChannel, PostAt, ReplaceOriginal, Text, ThreadTs, Ts, BuildToJSON, BuildToObject, GetAttachments, GetBlocks, GetPreviewUrl, PrintPreviewUrl } from '../internal/methods';
import type { BlockBuilder } from '../internal/types';
export interface MessageParams {
    channel?: string;
    postAt?: number;
    text?: string;
    threadTs?: string;
    ts?: string;
}
export interface MessageBuilder extends AsUser, Attachments, Blocks<BlockBuilder>, Channel, DeleteOriginal, Ephemeral, IgnoreMarkdown, InChannel, PostAt, ReplaceOriginal, Text, ThreadTs, Ts, BuildToJSON, BuildToObject<SlackMessageDto>, GetAttachments, GetBlocks, GetPreviewUrl, PrintPreviewUrl {
}
/**
 * @@link https://api.slack.com/messaging/composing
 * @@displayName Message
 */
export declare class MessageBuilder extends SurfaceBuilderBase {
}
