"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MessageBuilder = void 0;
const base_1 = require("../internal/base");
const dto_1 = require("../internal/dto");
const helpers_1 = require("../internal/helpers");
const methods_1 = require("../internal/methods");
/**
 * @@link https://api.slack.com/messaging/composing
 * @@displayName Message
 */
class MessageBuilder extends base_1.SurfaceBuilderBase {
    /** @internal */
    build() {
        return this.getResult(dto_1.SlackMessageDto, {
            blocks: helpers_1.getBuilderResults(this.props.blocks),
            attachments: helpers_1.getBuilderResults(this.props.attachments),
        });
    }
}
exports.MessageBuilder = MessageBuilder;
helpers_1.applyMixins(MessageBuilder, [
    methods_1.AsUser,
    methods_1.Attachments,
    methods_1.Blocks,
    methods_1.Channel,
    methods_1.DeleteOriginal,
    methods_1.Ephemeral,
    methods_1.IgnoreMarkdown,
    methods_1.InChannel,
    methods_1.PostAt,
    methods_1.ReplaceOriginal,
    methods_1.Text,
    methods_1.ThreadTs,
    methods_1.Ts,
    methods_1.BuildToJSON,
    methods_1.BuildToObject,
    methods_1.GetAttachments,
    methods_1.GetBlocks,
    methods_1.GetPreviewUrl,
    methods_1.PrintPreviewUrl,
]);
