import { SurfaceBuilderBase } from '../internal/base';
import { SlackModalDto } from '../internal/dto';
import { Blocks, CallbackId, ClearOnClose, Close, ExternalId, NotifyOnClose, PrivateMetaData, Submit, Title, BuildToJSON, BuildToObject, GetBlocks, GetPreviewUrl, PrintPreviewUrl } from '../internal/methods';
import type { ViewBlockBuilder } from '../internal/types';
export interface ModalParams {
    type?: string;
    title?: string;
    close?: string;
    submit?: string;
    privateMetaData?: string;
    callbackId?: string;
    externalId?: string;
}
export interface ModalBuilder extends Blocks<ViewBlockBuilder>, CallbackId, ClearOnClose, Close, ExternalId, NotifyOnClose, PrivateMetaData, Submit, Title, BuildToJSON, BuildToObject<SlackModalDto>, GetBlocks, GetPreviewUrl, PrintPreviewUrl {
}
/**
 * @@link https://api.slack.com/reference/surfaces/views
 * @@displayName Modal
 */
export declare class ModalBuilder extends SurfaceBuilderBase {
}
