import { SurfaceBuilderBase } from '../internal/base';
import { SlackWorkflowStepDto } from '../internal/dto';
import { Blocks, CallbackId, PrivateMetaData, SubmitDisabled, BuildToJSON, BuildToObject, GetBlocks, GetPreviewUrl, PrintPreviewUrl } from '../internal/methods';
import type { ViewBlockBuilder } from '../internal/types';
export interface WorkflowStepParams {
    privateMetaData?: string;
    callbackId?: string;
}
export interface WorkflowStepBuilder extends Blocks<ViewBlockBuilder>, CallbackId, PrivateMetaData, SubmitDisabled, BuildToJSON, BuildToObject<SlackWorkflowStepDto>, GetBlocks, GetPreviewUrl, PrintPreviewUrl {
}
/**
 * @@link https://api.slack.com/reference/workflows/configuration-view
 * @@displayName Workflow Step
 */
export declare class WorkflowStepBuilder extends SurfaceBuilderBase {
}
